Subject: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 4 Apr 2020 01:17:50 +0200

On Fri, Apr 03, 2020 at 01:27:43AM +0200, Bengt Richter wrote:
> I think I saw that PureOS was able to handle
> different-layout keyboards in different concurrent sessions -- different keyboards and displays
> can be attached to different "seats" -- or something like that, I obviously don't know much yet ;-)
> 
> Anyway, to the point: even if I'm wrong about PureOS handling concurrent
> different-layout keyboards, I think that would be a good goal
> for GuixOS/Hurd/Shepherd to implement.

>From what I understand from
<https://github.com/xkbcommon/libxkbcommon/blob/master/doc/quick-guide.md>,
there can be per-device keyboard layouts, but they are not handled by
XKB options.  If a device specifier were added to the keyboard-layout
constructor, the device specifier would need to be turned into
appropriate xorg.conf MatchUSBID or similar.

Regards,
Florian